local rtdadded = false
addHook("PlayerThink", function(player)
	if (player.scnightmareknux_limit == nil)
	player.scnightmareknux_limit = -1
	end
		if (player.scnightmareknux_limit >= 1)
		and (leveltime % TICRATE == 0)
		player.scnightmareknux_limit = $ - 1
	end
end)

addHook("PlayerThink", function(player)
	if player.scnightmareknux_limit == 0
	player.scnightmareknux_limit = -1
	player.nightmaremode = false
	player.nightmare_phase = -1
	COM_BufInsertText(player, "tunes -default")
		if (player.nightmare_aura and player.nightmare_aura.valid)
		P_RemoveMobj(player.nightmare_aura)
		end
			for sector in sectors.iterate do
			sector.lightlevel = 230
		end
	end
end)

local function nightmare(v,player)
	for player in players.iterate do
		if (player.nightmaremode == true)
		and (gametype == GT_SCLASH or gametype == GT_TSCLASH)
		v.drawString(hudinfo[HUD_LIVES].x+60, hudinfo[HUD_LIVES].y, ""+player.scnightmareknux_limit+"", V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_INVERTMAP)
		end
	end
end 
hud.add(nightmare, "game")
addHook("ThinkFrame", function(player)
	if rtd
	and rtdadded == false
		rtd.AddRoll("SC: Dark Super Shadow", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			S_StartSound(player.mo, sfx_sdwtrn)
			player.form_diceroll = 0 
			player.shadow_dark = true
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "shadow", 15*TICRATE)

		rtd.AddRoll("SC: Dark Super Sonic", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			player.form_diceroll = 4
			player.shadow_dark = false
			P_StartQuake(4*FRACUNIT, (TICRATE*3)/2, nil, nil)
			S_StartSound(player.mo, sfx_blktrn)
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "sonic", 15*TICRATE)

		rtd.AddRoll("SC: Limit Breaker", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			player.form_diceroll = 7
			player.shadow_dark = false 
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "sonic", 15*TICRATE)

		rtd.AddRoll("SC: Fire Sonic", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			player.form_diceroll = 5
			player.aura_roll_active = true
			player.shadow_dark = false
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "sonic", 15*TICRATE)

		rtd.AddRoll("SC: Ultra Instinct (Sign)", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			S_StartSound(player.mo, sfx_uitrns)
			player.form_diceroll = 2
			player.shadow_dark = false
			player.uitime = 0
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "sonic", 15*TICRATE)

		rtd.AddRoll("SC: Perfected Ultra Instinct", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			S_StartSound(player.mo, sfx_uitrns)
			player.form_diceroll = 3
			player.shadow_dark = false
			player.uitime = 0
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "sonic", 15*TICRATE)

		rtd.AddRoll("SC: God of Destruction Mode", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			S_StartSound(player.mo, sfx_uitrns)
			player.uitime = 0
			player.nightmaremode = false
			player.nightmare_phase = 0
			player.shadow_dark = false
			player.form_diceroll = 6
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, nil, 30*TICRATE)

		rtd.AddRoll("SC: Nightmare Mode", 0, function(player)
			if (gametype == GT_SCLASH or gametype == GT_TSCLASH)
			player.shadow_dark = false
			player.transformed = false
			player.nightmaremode = true
			player.godmode = false
			player.form_diceroll = 0
			player.scnightmareknux_limit = 34
			else
			chatprintf(player, "since the gametype isn't super clash, you gain 50 rings")
			player.rings = $ + 50
			end
		end, nil, nil, nil, "knuckles", 30*TICRATE)
		rtdadded = true
	end
end)